"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.15.2_patch_hash_jclkxeaefn6uz54h34k3r3yjsq_@mantine_hooks@7.15.2_react@18.3.1_szqfuioo5damkjdixckhzmwycq/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconRepeat03 = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      xmlns: "http://www.w3.org/2000/svg",
      width: "1em",
      height: "1em",
      fill: "none",
      viewBox: "0 0 24 24",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          d: "m13 22-3-3m0 0 3-3m-3 3h5a7 7 0 0 0 3-13.326M6 18.326A7 7 0 0 1 9 5h5m0 0-3-3m3 3-3 3",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconRepeat03);
const Repeat03 = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(Box.Box, { ref, ...props, component: ForwardRef });
});
Repeat03.displayName = "IconRepeat03";
exports.default = Repeat03;
